<template>
  <lazy-bh-bizcard-details
    :slug="$route.params.slug"
    @go-home="$router.push({ path: '/', query: filters })"
  />
</template>

<script>
export default {
  transition: {
    enterActiveClass:
      'a-slide-in-bottom-fxs ml:a-fade-in-fxs animation-duration-200 animation-ease-out animation-fill-forwards',
    leaveActiveClass:
      'a-slide-in-bottom-fxs ml:a-fade-in-fxs animation-duration-200 animation-ease-out animation-fill-forwards animation-reverse',
  },
  props: {
    filters: {
      type: Object,
      default: () => ({}),
    },
  },
  activated() {
    this.$store.dispatch(
      'bizcards/setSelectedBizcard',
      this.$route.params.slug
    );
  },
};
</script>
